Retrieve a comment by its ID and return it as a JSON object. Supports including relations. Client users can only see their own comments or comments from other clients.
GET
/data/comments/{instance_id}
curl
curl -X GET "http://api.example.com/data/comments/a24a6ea4-ce75-4665-a070-57453082c25?relations=true" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Accept: application/json"
import requests
url = "http://api.example.com/data/comments/a24a6ea4-ce75-4665-a070-57453082c25"
headers = {
"Authorization": "Bearer YOUR_API_TOKEN",
"Accept": "application/json"
}
params = {
"relations": true
}
payload = None
response = requests.get(
url,
headers=headers,
params=params,
json=payload
)
response.raise_for_status()
if response.content:
print(response.json())
curl \
--request GET 'http://api.example.com/data/comments/a24a6ea4-ce75-4665-a070-57453082c25' \
--header "Authorization: $API_KEY"
Response examples (200)
{
"id": "a24a6ea4-ce75-4665-a070-57453082c25",
"object_id": "b24a6ea4-ce75-4665-a070-57453082c25",
"person_id": "c24a6ea4-ce75-4665-a070-57453082c25",
"task_status_id": "d24a6ea4-ce75-4665-a070-57453082c25",
"text": "Comment text",
"created_at": "2024-01-15T10:30:00Z",
"updated_at": "2024-01-15T10:30:00Z"
}